Description

To increase resilience the externalnodes function should cache its results between runs and if it is unable to generate a new result

then it should return the cached value.

This may not be as useful as it seems because the puppet clients will also run the last valid manifest they received. I know that this is

not quite the same but it is quite similar.

Associated revisions

Revision 7cfd7544 - 06/19/2011 03:36 AM - Ohad Levy

fixes #347 - Cache generated external nodes yaml

this provides saves by default the yaml output from foreman on your

puppetmasters.

it will default to /var/lib/puppet/foreman directory.

in case of failure/timeout/no reply, it would use the cached version of

the external nodes output.

it also contain the push facts alternative, of pushing a node facts

prior to requesting its external node data.

this is probably the best way to esnure that your foreman instance is

updated while not sending old facts to your foreman server.

History

#1 - 09/19/2010 03:30 PM - Ohad Levy

- Target version set to 0.2

#2 - 11/09/2010 09:23 AM - Ohad Levy

- Assignee deleted (Ohad Levy)

#4 - 01/24/2011 03:22 PM - Ohad Levy

- Assignee set to Paul Kelly

- Target version deleted (0.2)

#5 - 06/13/2011 04:33 PM - Ohad Levy

this is mostly done already at https://gist.github.com/1011921.

maybe the caching part is worth merging back into foreman puppet module.

#6 - 06/19/2011 03:31 AM - Ohad Levy

- Project changed from Foreman to Installer

- Category deleted (External Nodes)
- Assignee changed from Paul Kelly to Ohad Levy

#7 - 06/19/2011 03:39 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"7a092772ee8f0f7aeebe2653b3d49135e3035a86".
